curl --request POST \
--url https://api.pubrio.com/companies/lookalikes/search \
--header 'Content-Type: application/json' \
--header 'pubrio-api-key: <api-key>' \
--data '
{
"domain_search_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locations": [
"US",
"SG",
"CN"
],
"exclude_locations": [
"CN",
"US",
"RU",
"CA"
],
"technologies": [
123
],
"categories": [
123
],
"verticals": [
123
],
"vertical_categories": [
123
],
"vertical_sub_categories": [
123
],
"domain": "pubrio.com",
"linkedin_url": "https://www.linkedin.com/company/pubrio",
"employees": [
[
1,
10
],
[
11,
20
],
[
10001
]
],
"founded_dates": [
2018,
2024
],
"revenues": [
0,
100000
],
"job_locations": [
"US",
"SG",
"CN"
],
"job_posted_dates": [
"2025-01-01",
"2025-01-10"
],
"job_titles": [
"sales manager",
"marketing manager"
],
"news_categories": [
"launches"
],
"news_published_dates": [
"2025-01-01",
"2025-01-10"
],
"is_enable_similarity_search": true,
"similarity_score": 0.7,
"per_page": 25,
"page": 1,
"profile_id": 123
}
'import requests
url = "https://api.pubrio.com/companies/lookalikes/search"
payload = {
"domain_search_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locations": ["US", "SG", "CN"],
"exclude_locations": ["CN", "US", "RU", "CA"],
"technologies": [123],
"categories": [123],
"verticals": [123],
"vertical_categories": [123],
"vertical_sub_categories": [123],
"domain": "pubrio.com",
"linkedin_url": "https://www.linkedin.com/company/pubrio",
"employees": [[1, 10], [11, 20], [10001]],
"founded_dates": [2018, 2024],
"revenues": [0, 100000],
"job_locations": ["US", "SG", "CN"],
"job_posted_dates": ["2025-01-01", "2025-01-10"],
"job_titles": ["sales manager", "marketing manager"],
"news_categories": ["launches"],
"news_published_dates": ["2025-01-01", "2025-01-10"],
"is_enable_similarity_search": True,
"similarity_score": 0.7,
"per_page": 25,
"page": 1,
"profile_id": 123
}
headers = {
"pubrio-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'pubrio-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
domain_search_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
locations: ['US', 'SG', 'CN'],
exclude_locations: ['CN', 'US', 'RU', 'CA'],
technologies: [123],
categories: [123],
verticals: [123],
vertical_categories: [123],
vertical_sub_categories: [123],
domain: 'pubrio.com',
linkedin_url: 'https://www.linkedin.com/company/pubrio',
employees: [[1, 10], [11, 20], [10001]],
founded_dates: [2018, 2024],
revenues: [0, 100000],
job_locations: ['US', 'SG', 'CN'],
job_posted_dates: ['2025-01-01', '2025-01-10'],
job_titles: ['sales manager', 'marketing manager'],
news_categories: ['launches'],
news_published_dates: ['2025-01-01', '2025-01-10'],
is_enable_similarity_search: true,
similarity_score: 0.7,
per_page: 25,
page: 1,
profile_id: 123
})
};
fetch('https://api.pubrio.com/companies/lookalikes/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"pagination": {
"page": 1,
"per_page": 25,
"total_entries": 45234700,
"total_pages": 1809388
},
"companies": [
{
"logo_url": "https://buckets.pubrio.com/company-logo/MjI0NDc1OTMxaWxqOXNzbmoxdHdpdHRlci5jb20=.jpg",
"company_name": "Twitter",
"emails": [
"..."
],
"phones": [
"..."
],
"contacts": [
"..."
],
"founded_year": 2006,
"specialties": [
"Software Development"
],
"industry": "Software Development",
"domain": "twitter.com",
"domain_search_id": "61a73da7-2efc-41a5-a252-a8a8df29925a",
"domain_id": 224475931,
"linkedin_company_id": 44005587,
"linkedin_name": "twitter",
"is_company_url_active": true,
"domain_ids": [
224475931,
1758889566,
368242865
],
"company_keywords": [
"realtime information",
"social commerce",
"online shopping",
"classifieds",
"craigslist killers",
"e-commerce",
"killers",
"consumer internet",
"internet",
"information technology",
"edp services",
"technology",
"software development",
"microblogging",
"social networking",
"public conversation",
"user engagement",
"content sharing",
"advertising solutions",
"monetization",
"community building",
"digital wallet",
"ai integration",
"user safety"
],
"company_size": 1500,
"youtube_url": null,
"crunchbase_url": null,
"linkedin_url": "http://www.linkedin.com/company/twitter",
"instagram_url": null,
"facebook_url": "http://facebook.com/twitterinc",
"twitter_url": "https://twitter.com/x",
"github_url": null,
"x_url": null,
"location": "United States",
"company_ranking": null,
"company_url": "http://twitter.com",
"saved_lists": null,
"company_size_printed": "1,500"
},
"..."
]
}
}{
"code": 40001,
"message": "오류 코드 및 메시지는 상황에 따라 다를 수 있습니다. 자세한 내용은 문서를 참조하세요.",
"details": {}
}{
"error": "요청 빈도가 제한을 초과했습니다. 잠시 후 다시 시도해주세요."
}{
"error": "요청을 처리하는 중 서버에서 예기치 않은 오류가 발생했습니다"
}유사 회사 검색
더 이상 사용되지 않음. 대신 POST /companies/search/similar 를 사용하세요 — 데이터와 본문 모두 동일합니다.
기업 특성 및 기술 속성을 기반으로 지정된 대상 기업과 유사한 기업을 검색합니다.
본문
- Domain Search ID
- 도메인
- LinkedIn URL
회사 조회 작업의 고유 식별자.
ISO 3166-1 alpha-2(cca2) 코드로 지역을 필터링하는 데 사용됩니다. 자세한 내용은 필터 탭의 location 엔드포인트를 참조하세요.
["US", "SG", "CN"]반환하지 않을 지역을 ISO 3166-1 alpha-2(cca2) 코드로 지정합니다. 자세한 내용은 필터 탭의 location 엔드포인트를 참조하세요.
["CN", "US", "RU", "CA"]tag_id 목록으로, 특정 기술을 사용하는 회사를 검색하는 데 사용됩니다. ID를 얻으려면 필터 탭의 technology 엔드포인트를 호출하세요.
이 필터는 is_enable_similarity_search를 지원하며, 활성화 시 ["Shopify"]와 같은 자유 텍스트 입력이 가능합니다.
category_id 목록으로, 특정 기술 카테고리를 사용하는 회사를 검색합니다. ID를 얻으려면 필터 탭의 category 엔드포인트를 호출하세요.
이 필터는 is_enable_similarity_search를 지원하며, 활성화 시 ["CDN"]처럼 자유 텍스트를 입력할 수 있습니다.
vertical_id 목록으로, 특정 산업 또는 분야의 회사를 검색합니다. ID를 얻으려면 필터 탭의 vertical 엔드포인트를 호출하세요.
이 필터는 is_enable_similarity_search를 지원하며, ["AI"]와 같은 자유 텍스트 검색이 가능합니다.
vertical_category_id 목록으로, 특정 산업 카테고리에 속한 회사를 검색합니다. ID를 얻으려면 필터 탭의 vertical category 엔드포인트를 호출하세요.
이 필터는 is_enable_similarity_search를 지원하며 ["Information Technology"]와 같은 텍스트 입력이 가능합니다.
vertical_sub_category_id 목록으로, 특정 산업 하위 카테고리에 속한 회사를 검색합니다. ID를 얻으려면 필터 탭의 vertical sub category 엔드포인트를 호출하세요.
이 필터는 is_enable_similarity_search를 지원하며 ["Software"]와 같은 자유 텍스트 검색이 가능합니다.
회사 조회 작업에 사용되는 회사 도메인입니다. 입력된 주소가 www.pubrio.com 또는 https://docs.pubrio.com/인 경우, 시스템은 이를 자동으로 pubrio.com으로 변환하여 처리합니다.
"pubrio.com"
LinkedIn 회사 페이지의 전체 URL입니다. http로 시작하며 linkedin.com/company/를 포함해야 합니다.
"https://www.linkedin.com/company/pubrio"
회사 직원 수 범위입니다. 총 직원 수를 기준으로 회사를 필터링할 수 있으며, 여러 범위를 추가해 검색 결과를 확장할 수 있습니다.
자세한 내용은 필터 탭의 company size 엔드포인트를 참조하세요.
[[1, 10], [11, 20], [10001]]회사의 설립 연도 범위입니다. 최대값은 현재 연도입니다.
[2018, 2024]회사의 최소 및 최대 수익 범위입니다.
[0, 100000]ISO 3166-1 alpha-2(cca2) 코드로 지역을 필터링하는 데 사용됩니다. 자세한 내용은 필터 탭의 location 엔드포인트를 참조하세요.
["US", "SG", "CN"]게시 날짜 범위입니다. 최대값은 오늘 날짜입니다.
["2025-01-01", "2025-01-10"]검색 대상 인물의 직함입니다.
software engineer를 검색하면 senior software engineer와 같이 유사한 용어를 포함한 결과도 반환될 수 있습니다.
["sales manager", "marketing manager"]category slugs 목록으로, 특정 뉴스 카테고리를 검색합니다. slug를 얻으려면 필터 탭의 news categories 엔드포인트를 호출하세요.
["launches"]발행 날짜 범위입니다. 최대값은 오늘 날짜입니다.
["2025-01-01", "2025-01-10"]활성화 시, 유사도 검색을 지원하는 필터에서 자유 텍스트로 특정 ID를 조회할 수 있습니다.
is_enable_similarity_search와 함께 사용됩니다. 이 값은 특정 slug(예: 산업, 기술)와 사용자 입력 간의 유사도를 분석하며, 값이 높을수록 일치율이 더 정확합니다.
0.7
페이지당 반환할 검색 결과 수입니다. 결과 수를 제한하면 API 성능이 향상됩니다.
25
조회할 데이터 페이지 번호입니다.
1
선택 사항. 요청을 수행하는 팀 식별자입니다. API 키에 이미 워크스페이스 정보가 포함되어 있으므로 이 매개변수는 더 이상 필수가 아닙니다. 제공되면 조회 및 사용 크레딧 추적을 위해 특정 팀(작업 공간)과 연계됩니다.
자세한 내용은 팀 탭의 user details 엔드포인트를 참고하세요.
응답
관련 세부 정보가 포함된 성공적인 응답입니다.
응답 정보는 특정 API에 따라 다릅니다.

